<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_282) on Wed Apr 21 14:40:19 CEST 2021 -->
<title>Class Hierarchy</title>
<meta name="date" content="2021-04-21">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/nnk/springboot/package-tree.html">com.nnk.springboot</a>, </li>
<li><a href="com/nnk/springboot/config/package-tree.html">com.nnk.springboot.config</a>, </li>
<li><a href="com/nnk/springboot/controllers/package-tree.html">com.nnk.springboot.controllers</a>, </li>
<li><a href="com/nnk/springboot/domain/package-tree.html">com.nnk.springboot.domain</a>, </li>
<li><a href="com/nnk/springboot/exceptions/package-tree.html">com.nnk.springboot.exceptions</a>, </li>
<li><a href="com/nnk/springboot/integration/package-tree.html">com.nnk.springboot.integration</a>, </li>
<li><a href="com/nnk/springboot/repositories/package-tree.html">com.nnk.springboot.repositories</a>, </li>
<li><a href="com/nnk/springboot/security/package-tree.html">com.nnk.springboot.security</a>, </li>
<li><a href="com/nnk/springboot/services/package-tree.html">com.nnk.springboot.services</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.nnk.springboot.<a href="com/nnk/springboot/Application.html" title="class in com.nnk.springboot"><span class="typeNameLink">Application</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/BaseIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">BaseIT</span></a>
<ul>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/BidListControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">BidListControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/CurveControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">CurveControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/HomeControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">HomeControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/LoginControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">LoginControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/RatingControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">RatingControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/RuleNameControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">RuleNameControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/TradeControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">TradeControllerIT</span></a></li>
<li type="circle">com.nnk.springboot.integration.<a href="com/nnk/springboot/integration/UserControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">UserControllerIT</span></a></li>
</ul>
</li>
<li type="circle">com.nnk.springboot.domain.<a href="com/nnk/springboot/domain/BidList.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">BidList</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/BidListController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">BidListController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/BidListControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">BidListControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/BidListService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">BidListService</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/BidListServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">BidListServiceTest</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/CurveController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">CurveController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/CurveControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">CurveControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.domain.<a href="com/nnk/springboot/domain/CurvePoint.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">CurvePoint</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/CurvePointService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">CurvePointService</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/CurvePointServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">CurvePointServiceTest</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/HomeController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">HomeController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/HomeControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">HomeControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.security.<a href="com/nnk/springboot/security/JpaUserDetailsService.html" title="class in com.nnk.springboot.security"><span class="typeNameLink">JpaUserDetailsService</span></a> (implements org.springframework.security.core.userdetails.UserDetailsService)</li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/LoginController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">LoginController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/LoginControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">LoginControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.domain.<a href="com/nnk/springboot/domain/Rating.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">Rating</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/RatingController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RatingController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/RatingControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RatingControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/RatingService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RatingService</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/RatingServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RatingServiceTest</span></a></li>
<li type="circle">com.nnk.springboot.domain.<a href="com/nnk/springboot/domain/RuleName.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">RuleName</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/RuleNameController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RuleNameController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/RuleNameControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RuleNameControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/RuleNameService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RuleNameService</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/RuleNameServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RuleNameServiceTest</span></a></li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">com.nnk.springboot.exceptions.<a href="com/nnk/springboot/exceptions/UserAlreadyExistingException.html" title="class in com.nnk.springboot.exceptions"><span class="typeNameLink">UserAlreadyExistingException</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.nnk.springboot.domain.<a href="com/nnk/springboot/domain/Trade.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">Trade</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/TradeController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">TradeController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/TradeControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">TradeControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/TradeService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">TradeService</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/TradeServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">TradeServiceTest</span></a></li>
<li type="circle">com.nnk.springboot.domain.<a href="com/nnk/springboot/domain/User.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">User</span></a> (implements org.springframework.security.core.CredentialsContainer, org.springframework.security.core.userdetails.UserDetails)</li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/UserController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">UserController</span></a></li>
<li type="circle">com.nnk.springboot.controllers.<a href="com/nnk/springboot/controllers/UserControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">UserControllerTest</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/UserService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">UserService</span></a></li>
<li type="circle">com.nnk.springboot.services.<a href="com/nnk/springboot/services/UserServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">UserServiceTest</span></a></li>
<li type="circle">org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter (implements org.springframework.security.config.annotation.web.WebSecurityConfigurer&lt;T&gt;)
<ul>
<li type="circle">com.nnk.springboot.config.<a href="com/nnk/springboot/config/SecurityConfig.html" title="class in com.nnk.springboot.config"><span class="typeNameLink">SecurityConfig</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaSpecificationExecutor&lt;T&gt;
<ul>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/UserRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">UserRepository</span></a> (also extends org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt;)</li>
</ul>
</li>
<li type="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,ID&gt;)
<ul>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/BidListRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">BidListRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/CurvePointRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">CurvePointRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/RatingRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">RatingRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/RuleNameRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">RuleNameRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/TradeRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">TradeRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/UserRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">UserRepository</span></a> (also extends org.springframework.data.jpa.repository.JpaSpecificationExecutor&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.springframework.data.repository.Repository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.repository.CrudRepository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/BidListRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">BidListRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/CurvePointRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">CurvePointRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/RatingRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">RatingRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/RuleNameRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">RuleNameRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/TradeRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">TradeRepository</span></a></li>
<li type="circle">com.nnk.springboot.repositories.<a href="com/nnk/springboot/repositories/UserRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">UserRepository</span></a> (also extends org.springframework.data.jpa.repository.JpaSpecificationExecutor&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
